name: chinese_translator
description: "A Chinese-English translation app"

publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  share_plus: ^7.2.1
  flutter_tts: ^3.7.0
  speech_to_text: ^7.3.0
  audioplayers: ^6.5.1
  video_player: ^2.6.0
  http_parser: ^4.1.0
  fluttertoast: ^8.2.5
  url_launcher: ^6.3.0
  http: ^1.2.1
  open_filex: ^4.5.0
  flutter_spinkit: ^5.2.0
  file_picker: ^8.3.7
  path_provider: ^2.1.1
  path: ^1.8.3
  permission_handler: ^11.3.1

  image_picker: ^0.8.8+1
  universal_html: ^2.2.2
  file_saver: ^0.3.1
  cupertino_icons: ^1.0.2
  flutter_launcher_icons: ^0.14.4
  open_file: ^3.3.3


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true

  assets:
    - assets/logo.png

# ===============================
# Launcher Icon Configuration
# ===============================
flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/logo.png"
